package com.persagy.adm.server.backstage.service.impl;

import com.alibaba.fastjson.JSONArray;
import com.fasterxml.jackson.databind.node.ObjectNode;
import com.persagy.adm.server.backstage.domain.AdmAnalysisModel;
import com.persagy.dmp.common.constant.DigitalObjectType;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 解析Grids的数据处理类
 * @author : lijie
 * Update By 2022/1/22 17:20
 */
@Component
@Slf4j
@RequiredArgsConstructor
public class GridDataHandler extends AbstractDataHandler {
    /**
     * 获得对象分类
     * @param classCode :对象类型编码
     * @return : java.lang.String
     * @author : lijie
     * Update By 2022/1/22 17:21
     */
    @Override
    protected String getObjectType(String classCode) {
        return null;
    }


    @Override
    public void handleData(Map<String, ObjectNode> objectNodeMap, AdmAnalysisModel model, JSONArray objects, String classCode,String planName) {
        // 啥都不做
    }
}
