package com.persagy.adm.server.delivery.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.persagy.dmp.common.model.entity.AuditableEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * Description
 *
 * @author:linhuili
 * @date:2022/1/19
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "boss_sku_dict_rel", autoResultMap = true)
public class BossSkuDictRel extends AuditableEntity {

    /** 商品编码 */
    private String skuCode;

    /** 类型编码 */
    private String classCode;

    /** 对象类型 */
    private String objType;

}
