package com.persagy.adm.server.algorithm.domain;

import com.persagy.adm.server.algorithm.constant.DeliveryWayEnum;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * 查询交付范围VO类
 * @author : lijie
 * Update By 2022/1/20 15:58
 */
@Data
public class QueryScopeOfDeliverVo {
    /**
     * 正逆向交付方式
     * @see DeliveryWayEnum#value
     * @mock 1
     */
    @NotNull
    private Integer deliveryWay;



}
